PHP-инклюдинг в jGallery

Дата публикации:
23.04.2007
Всего просмотров:
2023
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
jGallery 1.x
Уязвимые версии: jGallery 1.3.2 и более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "G_JGALL[inc_path]" в сценарии index.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/[Path]/index.php?G_JGALL[inc_path]=[file]

URL производителя: portal.kooijman-design.nl/viewforum.php?f=1

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA